USE raw_db;
-- DROP TABLE fund_performance_weekly_dolphin;
CREATE TABLE `fund_performance_weekly_dolphin` (
  `fund_id` varchar(10) NOT NULL COMMENT '基金id',
  `year_week` char(6) NOT NULL COMMENT '截至日期',
  `end_year` CHAR(4) NOT NULL,
  `week_of_year` TINYINT NOT NULL,
  `price_date` DATE NOT NULL,
  `cumulative_nav` DECIMAL(22, 6) NULL,
  `ret_1w` DECIMAL(22, 6) NULL,
  `creatorid` int DEFAULT NULL COMMENT '创建者Id,默认第一次创建者名称，创建后不变更',
  `createtime` datetime DEFAULT NULL COMMENT '创建时间,默认第一次创建的getdate()时间',
  `updaterid` int DEFAULT NULL COMMENT '修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同',
  `updatetime` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同',
  `isvalid` tinyint NOT NULL DEFAULT '1' COMMENT '记录的有效性；1-有效；0-无效；',

  PRIMARY KEY (`fund_id`,`year_week`),
  KEY (`year_week`),
  KEY (`updatetime`)
) COMMENT='DolphinDB写回的基金历史周收益表'
